com.corticon.rulesemf.canonicaltestmodel.ruletest

## Interface Ruletest

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, TestModelElement

      public interface Ruletest
      extends TestModelElement

  A representation of the model object 'Ruletest'.

  The following features are supported:

  - `Vocabulary Update Stamp`
  - `Testsheets`
  - `Vocabulary`
  See Also:
    `RuletestPackage.getRuletest()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList` | `getTestsheets()` Returns the value of the 'Testsheets' reference list.
    `org.eclipse.emf.ecore.EPackage` | `getVocabulary()` Returns the value of the 'Vocabulary' reference
    `java.lang.String` | `getVocabularyUpdateStamp()` Returns the value of the 'Vocabulary Update Stamp' attribute
    `void` | `setVocabulary(org.eclipse.emf.ecore.EPackage value)` Sets the value of the '`Vocabulary`' reference
    `void` | `setVocabularyUpdateStamp(java.lang.String value)` Sets the value of the '`Vocabulary Update Stamp`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getVocabularyUpdateStamp

          java.lang.String getVocabularyUpdateStamp()

      Returns the value of the 'Vocabulary Update Stamp' attribute.

      If the meaning of the 'Vocabulary Update Stamp' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary Update Stamp' attribute.
      See Also:
        `setVocabularyUpdateStamp(String)`, `RuletestPackage.getRuletest_VocabularyUpdateStamp()`

    - #### setVocabularyUpdateStamp

          void setVocabularyUpdateStamp(java.lang.String value)

      Sets the value of the '`Vocabulary Update Stamp`' attribute.
      Parameters:
        `value` - the new value of the 'Vocabulary Update Stamp' attribute.
      See Also:
        `getVocabularyUpdateStamp()`

    - #### getTestsheets

          org.eclipse.emf.common.util.EList getTestsheets()

      Returns the value of the 'Testsheets' reference list. The list contents are of type `Testsheet`.

      If the meaning of the 'Testsheets' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Testsheets' reference list.
      See Also:
        `RuletestPackage.getRuletest_Testsheets()`

    - #### getVocabulary

          org.eclipse.emf.ecore.EPackage getVocabulary()

      Returns the value of the 'Vocabulary' reference.

      If the meaning of the 'Vocabulary' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Vocabulary' reference.
      See Also:
        `setVocabulary(EPackage)`, `RuletestPackage.getRuletest_Vocabulary()`

    - #### setVocabulary

          void setVocabulary(org.eclipse.emf.ecore.EPackage value)

      Sets the value of the '`Vocabulary`' reference.
      Parameters:
        `value` - the new value of the 'Vocabulary' reference.
      See Also:
        `getVocabulary()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.